#####################################################################
# 注意事项
#
# - 环境变量的格式为“键=值”，顶格写，注意等号两边不能有空格，值可以用单引号或者双引号引起来，不引也行（下面的特殊情况必须引起来）
# - 因为环境变量中“#”代表注释，若密码中存在“#”字符的，一定要使用单引号将整个密码引起来，否则解析会在“#”字符前截止，如果密码中存在单双引号的，
#    需要在单双引号前加“\”转义
# - 配置多账户不可省略单引号，且多个账户和密码的格式必须是“<账户1>@<密码1>|<账户2>@<密码2>|<账户3>@<密码3>”，不要有空格，就算有程序也会给你干掉
#    e.g. MULTIPLE_ACCOUNTS='<账户1>@<密码1>|<账户2>@<密码2>|<账户3>@<密码3>'
#    注意不要省略“<>”符号，否则无法正确匹配
# - 若你只有单个账户，只配置 FREENOM_USERNAME 和FREENOM_PASSWORD 就够了
# - 单账户和多账户的配置会被合并在一起读取并去重
#####################################################################

# .env 文件版本
ENV_FILE_VERSION='v3.1'

######################  账户配置 Account config  #########################
# Freenom 账户 Freenom Account
FREENOM_USERNAME=''

# Freenom 密码 Freenom password
FREENOM_PASSWORD=''

# 多账户支持 Support for multiple accounts
MULTIPLE_ACCOUNTS=''

# 【可选】 Freenom 代理 [Optional] Freenom proxy e.g. http://127.0.0.1:1081 or socks5://127.0.0.1:1080
FREENOM_PROXY=''
######################  end 账户配置  #########################

######################  通知邮件配置 Email config  #########################
# 机器人邮箱账户 Email of robot
MAIL_USERNAME=''

# 机器人邮箱密码（Gmail 填应用专用密码，QQ 邮箱或 163 邮箱填授权码） Password of the robot email
MAIL_PASSWORD=''

# 用于接收通知的邮箱 Email address used to receive notifications
TO=''

# 是否启用邮件推送功能 1：启用 0：不启用 Whether to enable email push features 1: enabled 0: not enabled
MAIL_ENABLE=0

# 【可选】 自定义邮箱配置 [Optional] Custom email config
# 如果你想使用除“QQ邮箱、163邮箱、Gmail、Outlook邮箱”以外的邮箱或者自建邮箱服务作为机器人邮箱，可以自定义邮箱配置，否则请不要配置这些项
# If you want to use mailboxes other than "QQ mailbox, 163 mailbox, Gmail, Outlook mailbox" or self-built mailbox service as robot mailbox, you can customize mailbox configuration, otherwise, please don't configure these items.

# 【可选】 SMTP 服务器 [Optional] SMTP server e.g. smtp.gmail.com
MAIL_HOST=''

# 【可选】 SMTP 端口号，一般是 587 或者 465 [Optional] SMTP port number, usually 587 or 465
MAIL_PORT=''

# 【可选】 邮件加密方式，一般是 tls 或者 ssl 或者 starttls [Optional] Mail encryption method, usually tls or ssl or starttls
MAIL_ENCRYPTION=''

# end 自定义邮箱配置 end of custom email config

######################  end 通知邮件配置  #########################

######################  Telegram bot  #########################
# 通过 Telegram bot 发送通知消息 Send messages via Telegram bot

# 你的 chat_id，通过发送“/start”给 @userinfobot 可以获取自己的 id Your chat_id, you can get your own id by sending "/start" to @userinfobot
TELEGRAM_CHAT_ID=''

# 你的 Telegram bot 的 token Token for your Telegram bot
TELEGRAM_BOT_TOKEN=''

# 【可选】 Telegram 代理 [Optional] Telegram proxy e.g. http://127.0.0.1:1081 or socks5://127.0.0.1:1080
TELEGRAM_PROXY=''

# 【可选】 自建 Telegram 反向代理地址，不明白则请忽略此配置项，保持默认即可 [Optional] Please do not modify this item
# 参考：https://web.archive.org/web/20220221035315/https://hostloc.com/thread-805441-1-1.html
# 只要是一个合法的网址即可，程式会自动提取网址的主机部分。例如 https://xxx.xx.workers.dev/ or xxx.xx.xx
CUSTOM_TELEGRAM_HOST='api.telegram.org'

# 是否启用 Telegram Bot 功能 1：启用 0：不启用 Whether to enable Telegram Bot features 1: enabled 0: not enabled
TELEGRAM_BOT_ENABLE=0
######################  end Telegram bot  #########################

######################  企业微信  #########################
# 企业 ID Corporate ID
WECHAT_CORP_ID=''

# 应用的凭证密钥 Credential keys for enterprise WeChat applications
WECHAT_CORP_SECRET=''

# 应用 ID
WECHAT_AGENT_ID=''

# 用户 ID 指定接收消息的成员，成员ID列表（多个接收者用‘|’分隔，最多支持1000个）。指定为"@all"，则向该企业应用的全部成员发送
WECHAT_USER_ID='@all'

# 是否启用企业微信送信功能 1：启用 0：不启用 Whether to enable the enterprise WeChat message push function 1: Enable 0: Do not enable
WECHAT_ENABLE=0
######################  end 企业微信  #########################

######################  Server 酱  #########################
# Server 酱的 SendKey
SCT_SEND_KEY=''

# 是否启用 Server 酱 送信功能 1：启用 0：不启用 Whether to enable the ServerChan message function 1: enabled 0: not enabled
SCT_ENABLE=0
######################  end Server 酱  #########################

######################  Bark 送信  #########################
# Bark key 打开 Bark App，注册设备后看到的 key Open the Bark App, register the device and see the key
# 支持直接粘贴 “https://api.day.app/xxx/这里改成你自己的推送内容” 这类文本，程序会自动从中提取有效的 Bark key Support direct paste "https://api.day.app/xxx/这里改成你自己的推送内容" type of text, the program will automatically extract the valid Bark key from it
BARK_KEY=''

# Bark 域名 默认是 Bark 作者提供的服务，建议自建 The Bark URL defaults to the server provided by the Bark author, and it is recommended to build your own
BARK_URL='https://api.day.app'

# Bark 其它相关参数（保持默认即可）
BARK_IS_ARCHIVE=''
BARK_GROUP='FreeNom'
BARK_LEVEL='active'
BARK_ICON='https://q2.qlogo.cn/headimg_dl?dst_uin=593198779&spec=100'
BARK_JUMP_URL=''
BARK_SOUND='gotosleep'

# 是否启用 Bark 推送消息 1：启用 0：不启用 Whether to enable Bark push messaging 1: Enable 0: Do not enable
BARK_ENABLE=0
######################  end Bark 送信  #########################

######################  Pushplus  #########################
# Pushplus 的 token
PUSHPLUS_KEY=''

# 是否启用 Pushplus 送信功能 1：启用 0：不启用 Whether to enable the Pushplus message function 1: enabled 0: not enabled
PUSHPLUS_ENABLE=0
######################  end Pushplus  #########################

# 通知频率 0：仅当有续期操作的时候 1：每次执行 Notification frequency 0: Only when there is a renewal operation 1: Each execution
NOTICE_FREQ=1

# 是否验证服务器证书 1：验证 0：不验证 Whether to verify the server certificate 1: verify 0: no verification
VERIFY_SSL=0

# 是否开启 Debug 模式 1：开启 0：关闭 Whether to turn on Debug mode 1: On 0: Off
DEBUG=0

# 检测是否有新版本可用，发现新版本时推送消息通知 1：开启 0：关闭 Automatically detects if a new version is available and pushes a message notification when a new version is found 1: On 0: Off
NEW_VERSION_DETECTION=1

# 应用语言配置 Application language configuration, the supported values are zh or en, zh means Chinese, en means English
CUSTOM_LANGUAGE=zh

# 送信时是否显示服务器信息 1：显示 0：不显示 Whether to display server information when sending messages 1: Display 0: Do not display
SHOW_SERVER_INFO=1

# 是否给敏感信息打码 1：启用 0：不启用 Whether to enable the obfuscation of sensitive information 1: Enabled 0: Not enabled
MOSAIC_SENSITIVE_INFO=0

# 最大请求重试次数
# 每次重试间隔根据次数递增
# Maximum request retry count
# Retry interval increases based on the number of attempts
MAX_REQUEST_RETRY_COUNT=6

######################  AWS WAF SOLVER  #########################
# 识别方案 1：Wit.ai
RECOGNITION_METHOD=1

# 下方配置根据识别方案不同而不同

#### Wit.ai
# WIT.AI 密钥
# WIT.AI Key
WIT_AI_KEY=''
#### end Wit.ai

# 语音识别最大尝试次数
# Maximum number of attempts for speech recognition
MAX_RECOGNIZE_ATTEMPTS=100

# 接口密钥
# 你的 /aws_waf_token 路由应该被保护起来
# Interface Secret Key
# Your /aws_waf_token route should be protected
FF_SECRET_KEY='https://github.com/luolongfei/freenom'

# aws waf solver 接口地址
# aws waf solver url
AWS_WAF_SOLVER_URL='aws-waf-solver:2019/aws_waf_token'

# 使用开源的 AWS WAF Solver API 0：不使用 1：使用
# Use open-source AWS WAF Solver API 0: Do not use, 1: Use
USE_OPEN_SOURCE_WAF_SOLVER_API=1

# 开源的 AWS WAF Solver URL
# Open-source AWS WAF Solver URL
OPEN_SOURCE_WAF_SOLVER_URL='https://aws-waf-solver.llf.app/token'
######################  end AWS WAF SOLVER  #########################
